﻿
local StoneGateV5 = foundation.createMod();

StoneGateSetPrefix = "STONE_GATE_V5"

StoneGateV5:log("Hello World: StoneGateV5")
--StoneGateV5:logWarning("This is a warning!")
--StoneGateV5:logError("This is an error!")
--StoneGateV5:msgBox("StoneGateV5: Hello there")

function mysplit (_inputstr, _sep)
    StoneGateV5:msgBox("StoneGateV5: _inputstr _sep = " .. _inputstr .. _sep)
        t={}
        for str in string.gmatch(_inputstr, "([^".._sep.."]+)") do
                table.insert(t, str)
        end
    StoneGateV5:msgBox("StoneGateV5: t= " .. tostring(t))
        return t
end

function checkVersion(_name, _id, _minimalVersion)
    if (foundation.getModVersion == nil) then
        StoneGateV5:msgBox("StoneGateV5: Unknown mod version")
    elseif (foundation.isModEnabled(_id)) then
        local _myVersion = foundation.getModVersion(_id)
        StoneGateV5:msgBox("StoneGateV5: " .. _name .. " Current version : " .. _myVersion)
        local _result = mysplit(_myVersion, ".")
        if (tonumber(_result[1]) < _minimalVersion[1]) then
            StoneGateV5:msgBox("StoneGateV5: Please, load the last version of " .. _name)
        elseif (tonumber(_result[1]) == _minimalVersion[1]) then
            if (tonumber(_result[2]) < _minimalVersion[2]) then
                StoneGateV5:msgBox("StoneGateV5: Please, load the last version of " .. _name)
            elseif (tonumber(_result[2]) == _minimalVersion[2]) then
                if (tonumber(_result[3]) < _minimalVersion[3]) then
                    StoneGateV5:msgBox("StoneGateV5: Please, load the last version of " .. _name)
                end    
            end
        end    
    else
        StoneGateV5:msgBox("StoneGateV5: " .. _name .. " disabled")
    end
end

if (foundation.getGameVersion == nil) then
    StoneGateV5:msgBox("StoneGateV5: Unknown game version")
elseif (version.cmp(foundation.getGameVersion(), "1.6") < 0) then
    StoneGateV5:msgBox("StoneGateV5: version 1.5")
else
    StoneGateV5:msgBox("StoneGateV5: version 1.6")
end

checkVersion("Window Decorations", "ed248b2a-9fe9-4191-9582-22ad3cf4b0b6", {1, 1, 0})

StoneGateV5:dofile("scripts/monument.lua")
